# Create an informative Message of the Day

Remove static motd:

```sudo rm /etc/motd```

Create or go to the dynamic motd folder:

```sudo mkdir /etc/update-motd.d```
```cd /etc/update-motd.d```

Remove existing dynamic motd:

```sudo rm /etc/update-motd.d/*```

Create your own Message of the Day:

```sudo vim 10-custom```

with following content

```bash
#!/bin/sh
upSeconds="$(/usr/bin/cut -d. -f1 /proc/uptime)"
secs=$((${upSeconds}%60))
mins=$((${upSeconds}/60%60))
hours=$((${upSeconds}/3600%24))
days=$((${upSeconds}/86400))
UPTIME=`printf "%d days, %02dh%02dm%02ds" "$days" "$hours" "$mins" "$secs"`

# get the load averages
read one five fifteen rest < /proc/loadavg

echo "$(tput setaf 2)
`date +"%A, %e %B %Y, %r"`
`uname -snr`$(tput setaf 1)

IP Addresses.......: `ip a | grep glo | awk '{print $2}' | head -1 | cut -f1 -d/` and `wget -q -O - http://icanhazip.com/ | tail`
CPU................: `lscpu | grep -i "Model name:" | cut -d':' -f2 | sed -e 's/^[ \t]*//'`
Load Averages......: ${one}, ${five}, ${fifteen} (1, 5, 15 min)
Running Processes..: `ps ax | wc -l | tr -d " "`
Uptime.............: ${UPTIME}
Memory.............: `cat /proc/meminfo | grep MemFree | awk {'print $2'}`kB (Free) / `cat /proc/meminfo | grep MemTotal | awk {'print $2'}`kB (Total)
Last Login.........: `last -i | grep -v 'still logged' | head -1 | cut -f 1,4- -d ' ' | tr -s ' '`
$(tput sgr0)"
```

Test it:

```run-parts /etc/update-motd.d/```

Result:

![Message of the Day](https://github.com/flohoss/setupDebianServer/blob/main/MessageOfTheDay/10-custom.png?raw=true)